
using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Collections.Specialized;
using System.ComponentModel.DataAnnotations;

namespace de.WWWings.CodeOnly
{
    public partial class Person
    {
        #region Primitive Properties
    
        public virtual int PersonId
        {
            get;
            set;
        }
    
        public virtual string Name
        {
            get;
            set;
        }
    
        public virtual string Vorname
        {
            get;
            set;
        }
    
        public virtual string Land
        {
            get;
            set;
        }
    
        public virtual Nullable<System.DateTime> Geburtstag
        {
            get;
            set;
        }
    
        public virtual byte[] Foto
        {
            get;
            set;
        }
    
        public virtual string EMail
        {
            get;
            set;
        }
    
        public virtual string Stadt
        {
            get;
            set;
        }
    
        public virtual string Memo
        {
            get;
            set;
        }

        #endregion
        #region Navigation Properties
    
        public virtual Mitarbeiter Mitarbeiter
        {
         get;
         set;
        }

          [InverseProperty("Person")]
        public virtual Passagier Passagier
        {
         get;
         set;
        }
      

        #endregion
        
    }
}
